function total = sumprime(mymax)
% sumprime sums all prime numbers until mymax
% Format of call: sumprime(maximum)
% Returns an integer

tic();      % set the timer
            % tic and toc functions work together to measure elapsed time
total = 0;  % initialize the sum
for k = 1:mymax
    if (isprime(k))         % use isprime() built-in function
        total = total + k;  % update the sum
    end
end
elapsed_time = toc();   % take the time elapsed from tic call
fprintf('First version takes %f seconds\n', elapsed_time)

% Alternative faster version
% use primes() built-in function
tic();     % set the timer
total = 0; % initialize the sum
for k = primes(mymax)   % use primes to generate list of prime numbers up to mymax
    total = total + k;  % update the sum
end
elapsed_time = toc();   % take the time elapsed from tic call
fprintf('Second version takes %f seconds\n', elapsed_time)

end